## swift 2.35.1

=== debian/changelog ===
swift (2.35.1-0+deb13u1) trixie-security; urgency=medium

  * New upstream point release:
    This new point release adds the feature to allow the use of aws-chunked
    transfer encoding. This is important because most S3 clients are using the
    boto library that has dropped support for any other protocol. This
    upstream point release contains only that change, which is minimal and
    will not affect any deployment other than accepting aws-chunked transfer.
  * Blacklist 2 unit tests that require isal lib to be installed:
    - test_sig_v4_strm_unsgnd_pyld_trl_checksum_hdr_unsupported
    - test_get_checksum_hasher
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Oct 2025 01:49:35 +0100

swift (2.35.0-4) unstable; urgency=medium

  * Add test_PUT_account_update (Closes: #1108751).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jul 2025 10:38:51 +0200

swift (2.35.0-3) unstable; urgency=medium

  * Blacklist one more unit test (Closes: #1106445):
    - TestUtilsLogs.test_LoggerFileObject_recursion.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 May 2025 08:57:53 +0200

swift (2.35.0-2) unstable; urgency=medium

  * Blacklist non-deterministic failing in autopkg unit test:
    - TestWorkersStrategy.test_stale_pid_loading

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2025 08:59:17 +0200

swift (2.35.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Stop-using-cgi.parse_header.patch applied upstream.
  * Blacklist TestServersPerPortStrategy.test_stale_pid_loading.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:51:50 +0100
