## swift 2.36.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.25.0,!=0.34.3               # MIT
greenlet>=0.4.14
PasteDeploy>=2.0.0
lxml>=4.2.3
requests>=2.14.2                        # Apache-2.0
xattr>=0.7.2;sys_platform!='win32'      # MIT
PyECLib>=1.3.1,!=1.6.2,!=1.6.3          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0
dnspython>=1.15.0                       # http://www.dnspython.org/LICENSE
