=== debian/changelog ===
swift (2.36.0-6) unstable; urgency=medium

  * Remove build-depends on python3-mock (Closes: #1101558).
  * Patch drive-full-checker.patch to not use six and mock python modules.
  * Blacklist 3 flaky unit tests in autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2025 12:16:11 +0100

swift (2.36.0-5) unstable; urgency=high

  * Refreshed patches.
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Oct 2025 01:39:14 +0100

swift (2.36.0-4) unstable; urgency=medium

  * Blacklist some non-deterministic time-sensitive tests (Closes: #1118344):
    - TestMemcached.test_operations_timing_stats_with_get_timeout
    - TestObjectController.test_DELETE_container_updates
    - test_sync_reconstructor_no_rebuilt_content
    - test_sync_reconstructor_partial_rebuild

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Oct 2025 10:04:16 +0200

swift (2.36.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:07:47 +0200

swift (2.36.0-2) experimental; urgency=medium

  * Blacklist tests that are doing network access:
    - test_init_logger_and_legacy_statsd_options_access_log_prefix
    - test_init_logger_and_legacy_statsd_options_log_prefix

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2025 21:32:26 +0200

swift (2.36.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2025 14:36:18 +0200

swift (2.35.1-2) unstable; urgency=medium

  * Blacklist 2 unit tests that require isal lib to be installed:
    - test_sig_v4_strm_unsgnd_pyld_trl_checksum_hdr_unsupported
    - test_get_checksum_hasher

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2025 23:55:44 +0200

swift (2.35.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:07:31 +0200
