## swift 2.37.0

=== debian/changelog ===
swift (2.37.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 2.37.0
  * d/p/*: Refresh patches
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho (LP: #2137593).
  * d/control: Drop python-pytest-subtests.
  * d/p/fix-writing-non-ascii-in-headers-in-tests.patch: Import patch.
  * d/p/fix-default-progname-python314.patch: Fix argparse test for Python 3.14.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 06 Feb 2026 13:38:44 -0800

swift (2.36.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/p/checksum-handle-missing-pyeclib-file.patch: Drop upstreamed patch.
  * d/p/restore-missing-files-in-manifest.patch: Drop upstreamed patch.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 11:00:06 -0700
