=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/swift/ swift-(\d.*)\.tar\.gz
